Name:       git-extras
Version:    7.1.0
Release:    1%{?dist}
Summary:    Little git extras

License:    MIT
URL:        https://github.com/tj/%{name}
Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires: sed
BuildRequires: make
Requires:   git

%description
%{name} adds the following extra-commands to git:

alias, archive-file, bug, changelog, commits-since, contrib, count,
create-branch, delete-branch, delete-submodule, delete-tag, effort,
extras, feature, fresh-branch, gh-pages, graft, ignore, info,
local-commits, obliterate, promote, refactor, release, repl, setup,
squash, summary, touch, undo

For more information about the extra-commands, see the included
README.md, HTML, mark-down or man-pages.


%prep
%setup -q
sed -i -e "s#/usr/bin/.*sh#/bin/bash#g" \
    bin/*

cat << EOF > bin/git-extras
echo "Self-update feature disabled by maintainer."
EOF


%build


%install
%make_install PREFIX=%{_prefix} SYSCONFDIR=%{_datadir}
mkdir -p html md
install -pm 0644 man/*.html html
install -pm 0644 man/*.md md


%files
%doc AUTHORS Commands.md History.md Readme.md html/ md/
%license LICENSE
%config(noreplace) %{bash_completions_dir}
%{_bindir}/*
%{_mandir}/man*/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.0-1
- initial build
